APIs / XING Jobs / Search

XING Jobs: Search

Search from XING Jobs as JSON. 1 credit per successful call.

GET /v1/xing-jobs/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringOptionalUp to 200 characters
locationstringOptionalUp to 100 characters
employment_typestringOptionalfull_time, part_time, contractor, intern, seasonal, temporary, voluntary
remotestringOptionalfull_remote
salary_minintegerOptionalAny
salary_maxintegerOptionalAny
sincestringOptional24h, week, month
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/xing-jobs/search?query=developer&location=Berlin&employment_type=full_time" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.